from typing import TYPE_CHECKING

__all__ = ["PostgresClient", "ClickHouseClient", "TelegramClient"]
__version__ = "0.1.0"

if TYPE_CHECKING:
	from .clickhouse import ClickHouseClient
	from .postgres import PostgresClient
	from .telegram import TelegramClient


def __getattr__(name: str):
	if name == "PostgresClient":
		from .postgres import PostgresClient

		return PostgresClient
	if name == "ClickHouseClient":
		from .clickhouse import ClickHouseClient

		return ClickHouseClient
	if name == "TelegramClient":
		from .telegram import TelegramClient

		return TelegramClient
	raise AttributeError(f"module 'sspart_py_lib' has no attribute '{name}'")
